Skip to main content
GET
/
webhooks
List registered webhooks
curl --request GET \
  --url https://app.edpire.com/api/v1/webhooks \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "url": "<string>",
      "events": [
        "submission.graded"
      ],
      "status": "<string>",
      "failure_count": 123,
      "last_triggered_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "error": {
    "message": "<string>"
  },
  "meta": {}
}

Authorizations

Authorization
string
header
required

API key starting with edp_live_. Pass via Authorization: Bearer edp_live_xxx.

Scopes: read:assessments, write:assessments, read:results, write:submissions.

Response

200 - application/json

List of webhooks (secrets not included)

data
object[]
error
object
meta
object